## org.omg.CosNaming
Class Binding

    java.lang.Object
      |
      +--org.omg.CosNaming.Binding

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class Binding
extends java.lang.Object
implements IDLEntity

This structure defines a naming graph node. A node is the association of a name and a binding type.

See Also:
  Serialized Form

Field Summary
`NameComponent[]` `binding_name` Struct member binding_name
`BindingType` `binding_type` Struct member binding_type

Constructor Summary
`Binding()` Default constructor
`Binding(NameComponent[] binding_name, BindingType binding_type)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### binding_name

    public NameComponent[] binding_name

  Struct member binding_name

### binding_type

    public BindingType binding_type

  Struct member binding_type

Constructor Detail

### Binding

    public Binding()

  Default constructor

### Binding

    public Binding(NameComponent[] binding_name,
                   BindingType binding_type)

  Constructor with fields initialization
  Parameters:
    `binding_name` - binding_name struct member
    `binding_type` - binding_type struct member